> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/trlink/list-available-trsupport-partners",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# List available TRSupport partners

> Retrieves a list of all available Travel Rule Support integration partners. Partners provide Travel Rule compliance services such as VASP discovery, TRM exchange, and PII encryption.



## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /screening/trlink/partners
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /screening/trlink/partners:
    get:
      tags:
        - TRLink
      summary: List available TRSupport partners
      description: >-
        Retrieves a list of all available Travel Rule Support integration
        partners. Partners provide Travel Rule compliance services such as VASP
        discovery, TRM exchange, and PII encryption.
      operationId: getTRLinkPartners
      responses:
        '200':
          description: List of partners retrieved successfully
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TRLinkPartnersListResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<TRLinkPartnersListResponse>> =
            fireblocks.tRLink.getTRLinkPartners();
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<List<TRLinkPartnerResponse>>> response
            = fireblocks.tRLink().getTRLinkPartners();
        - lang: Python
          source: response = fireblocks.t_r_link.get_t_r_link_partners();
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    TRLinkPartnersListResponse:
      type: array
      items:
        $ref: '#/components/schemas/TRLinkPartnerResponse'
    TRLinkPartnerResponse:
      type: object
      properties:
        id:
          type: string
          format: uuid
          description: Partner unique identifier
          example: 123e4567-e89b-12d3-a456-426614174000
        ident:
          type: string
          description: Partner identification code
          example: notabene
        name:
          type: string
          description: Partner display name
          example: Notabene
        description:
          type: string
          nullable: true
          description: Partner description
          example: Travel Rule compliance provider
        baseUrl:
          type: string
          description: Partner API base URL
          example: https://api.notabene.id
        active:
          type: boolean
          description: Whether the partner is active
          example: true
        isTest:
          type: boolean
          description: Whether this is a test/sandbox partner
          example: false
      required:
        - id
        - ident
        - name
        - baseUrl
        - active
        - isTest
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````